package de.fhdw.wtf.testutil;

import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import de.fhdw.wtf.common.stream.ScannerInputStream;
import de.fhdw.wtf.common.stream.SimpleScannerInput;

/**
 * Util-Class for the Tests.
 * 
 */
public final class TestUtil {
	
	/**
	 * Constructor of {@link TestUtil}.
	 */
	private TestUtil() {
	}
	
	public static ScannerInputStream readFileToScannerStream(final String filePath) throws IOException {
		final String data = readFileToString(filePath);
		return new SimpleScannerInput(data);
	}
	
	public static String readFileToString(final String filePath) throws FileNotFoundException, IOException {
		final File f = new File(filePath);
		try (final DataInputStream s = new DataInputStream(new FileInputStream(f));) {
			final byte[] data = new byte[(int) f.length()];
			s.readFully(data);
			s.close();
			return new String(data);
		}
	}
	
}
